Package com.macrofocus.high_d.distributions.javafx

# Class JavaFXDistributions<Row,Column,Value,Bin>

java.lang.Object
com.macrofocus.high_d.distributions.AbstractDistributions<javafx.scene.Node,javafx.scene.paint.Color,Row,Column,Value,Bin>
com.macrofocus.high_d.distributions.javafx.JavaFXDistributions<Row,Column,Value,Bin>

All Implemented Interfaces:
  `Distributions<javafx.scene.Node,javafx.scene.paint.Color,Row,Column,Value,Bin>`

public class JavaFXDistributions<Row,Column,Value,Bin> extends AbstractDistributions<javafx.scene.Node,javafx.scene.paint.Color,Row,Column,Value,Bin>

- ## Field Summary

  ### Fields inherited from class com.macrofocus.high_d.distributions.AbstractDistributions

  `controller, licenseModel, view`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JavaFXDistributions()`
  `JavaFXDistributions(DistributionsModel<javafx.scene.paint.Color,Row,Column,Value,Bin> model)`
  `JavaFXDistributions(com.macrofocus.molap.dataframe.DataFrame dataFrame)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected DistributionsController`
  `createController(DistributionsView view)`
  Creates a controller that can be used by the parallel coordinates component
  `DistributionsModel`
  `createModel(com.macrofocus.molap.dataframe.DataFrame dataFrame)`
  Creates a model that can be used by the parallel coordinates component
  `protected DistributionsView`
  `createView()`
  Creates a view that can be used by the parallel coordinates component
  `javafx.scene.Node`
  `getNativeComponent()`
  `void`
  `setView(DistributionsView<javafx.scene.Node,javafx.scene.paint.Color,Row,Column,Value,Bin> view)`
  Sets the view to be used by the parallel coordinates component and register the model currently in use.

  ### Methods inherited from class com.macrofocus.high_d.distributions.AbstractDistributions

  `getController, getModel, getView, load, setController, setLicenseKey, setModel`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### JavaFXDistributions

    public JavaFXDistributions()

  - ### JavaFXDistributions

    public JavaFXDistributions(DistributionsModel<javafx.scene.paint.Color,Row,Column,Value,Bin> model)

  - ### JavaFXDistributions

    public JavaFXDistributions(com.macrofocus.molap.dataframe.DataFrame dataFrame)

- ## Method Details

  - ### setView

    public void setView(DistributionsView<javafx.scene.Node,javafx.scene.paint.Color,Row,Column,Value,Bin> view)
    Description copied from interface: `Distributions`
    Sets the view to be used by the parallel coordinates component and register the model currently in use. It will also register itself to the controller.
    Specified by:
      `setView` in interface `Distributions<javafx.scene.Node,javafx.scene.paint.Color,Row,Column,Value,Bin>`
    Overrides:
      `setView` in class `AbstractDistributions<javafx.scene.Node,javafx.scene.paint.Color,Row,Column,Value,Bin>`
    Parameters:
      `view` - the view to be used

  - ### createModel

    public DistributionsModel createModel(com.macrofocus.molap.dataframe.DataFrame dataFrame)
    Description copied from class: `AbstractDistributions`
    Creates a model that can be used by the parallel coordinates component
    Specified by:
      `createModel` in class `AbstractDistributions<javafx.scene.Node,javafx.scene.paint.Color,Row,Column,Value,Bin>`
    Parameters:
      `dataFrame` - a Swing TableModel
    Returns:
      a DistributionsModel instance

  - ### createView

    protected DistributionsView createView()
    Description copied from class: `AbstractDistributions`
    Creates a view that can be used by the parallel coordinates component
    Specified by:
      `createView` in class `AbstractDistributions<javafx.scene.Node,javafx.scene.paint.Color,Row,Column,Value,Bin>`
    Returns:
      a DistributionsView instance

  - ### createController

    protected DistributionsController createController(DistributionsView view)
    Description copied from class: `AbstractDistributions`
    Creates a controller that can be used by the parallel coordinates component
    Specified by:
      `createController` in class `AbstractDistributions<javafx.scene.Node,javafx.scene.paint.Color,Row,Column,Value,Bin>`
    Parameters:
      `view` - the view that should be controlled
    Returns:
      a DistributionsController instance

  - ### getNativeComponent

    public javafx.scene.Node getNativeComponent()